Console error in version 2.7.2

Hi Olena,
we have provided our demo samples in the below JSFiddle links, please get it.
Console error: ‘O37.replace is not a function‘ – Gird-view
https://jsfiddle.net/abufiddle/wg7maby5/3/

Console error: ‘X16.substr is not a function‘ – Chart view
https://jsfiddle.net/abufiddle/wg7maby5/11/
Notes:
At default, this sample gets referred to the ‘latest v2.7.2‘ and so you will get the above mentioned console errors for the ‘pivot chart/table view’
To make it work, just refer the v2.6.14 script file(flexmonster_V2.6.14.js) at last. Now, the sample works fine without errors.

2 answers

Public
Tanya Gryshko Flexmonster March 26, 2019

Hello, Ravi,

Thank you for providing the samples to reproduce the issue.

Our development team has prepared a special package where this issue is already fixed: https://s3.amazonaws.com/flexmonster/hypersonix/FLEXMONSTER-2019-HYPERSONIX-MAR26.zip. Also, the fix will be included in the next minor version 2.7.3 (ETA April the 8th).

Please let us know if everything works as expected.

Regards,
Tanya

Public
Vera Didenko Flexmonster April 10, 2019

Hello, Ravi,

We are glad to inform you that the fix is now also available on our website.
You are welcome to update the component.

Please let us know if everything works fine for you.

Best Regards,
Vera

This question is now closed